<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$fileslist = array(
	'VERSION',
	'themes/default/template.php',
	'atom.php',
	'CHANGELOG',
	'tb.php',
	'rss.php',
	'inc/post_config.php',
	'inc/libs/lib.util.php',
	'inc/session.php',
	'inc/classes/class.multipage.php',
	'inc/classes/class.blog.php',
	'ecrire/tools/syslog/index.php',
	'ecrire/redacteur.php',
	'ecrire/comments.php',
	'layout/prepend.php',
	'layout/class.xblog.php',
	'layout/class.xblogcomment.php',
	'layout/class.xblogpost.php',
	'l10n/fr/install.lang',
	'l10n/fr-utf8/install.lang',
	'ecrire/tools/patch124/desc.xml'
);
/*
$fileslist = array(
	'VERSION'
);//*/

class dcPatch {
	function replace($f) {
		$oldf = str_replace('ecrire',DC_ECRIRE,dirname(__FILE__).'/../../../'.$f);
		$newf = dirname(__FILE__).'/files/'.$f;

		if (copy($newf,$oldf)) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}

buffer::str('<h2>'.__('patch 1.2.4').'</h2>');

if (DC_VERSION != '1.2.3') {
	buffer::str('<p>'.__('This patch can only be applied on Dotclear v').'1.2.3</p>');
} else {
	$img_check = '<img src="images/check_%s.png" alt="" />';
	buffer::str('<p>'.__('Updating your files').'</p>');

	foreach ($fileslist as $file) {
		$result = (dcPatch::replace($file) ? 'on' : 'off');
			buffer::str(
			'<p>'.sprintf($img_check,$result).' '.
			$file.'</p>'
			);
	}
	buffer::str('<p>'.__('Your blog is now updated. Should you see a red cross '.
		'(denoting a file that could not be updated, leading to an unstable '.
		'installation) please manually upload the files (see the <i>files</i> '.
		'subdirectory of this plugin) or do a complete upgrade.').'</p>');
	buffer::str('<p>'.__('This  plugin has now de-activated itself. '.
		'You may remove it through the plugin manager.').'</p>');
}
?>